/* eftapi.h, version 2.0 (generated) */ 

#ifndef __EFTAPI_H__
#define __EFTAPI_H__

#ifdef __cplusplus
extern "C"
{
#endif

typedef enum EFT_StatusCodes {
	stcIdle = 0,
	stcConnecting = 1,
	stcConnected = 2,
	stcPending = 3,
	stcException = 4,
	stcPepared = 5
} EFT_StatusCodes;

typedef enum EFT_DeviceStatusCodes {
	deviceClosed = 0,
	deviceOpen = 1,
	deviceBusy = 2,
	deviceNoAnswer = 3,
	deviceDisconnected = 4,
	deviceProblemOnStart = 5,
	deviceCardLeftOnReader = 6,
	deviceNoAnswerSevere = 7
} EFT_DeviceStatusCodes;

typedef enum EFT_DeviceEventCodes {
	readerEmpty = 0,
	readerLoaded = 1,
	readerEjected = 2,
	readerCardRetension = 3,
	readerLoadedWithBrandInfo = 4
} EFT_DeviceEventCodes;

typedef enum EFT_ReaderStatusCodes {
	reader2Closed = 0,
	reader2Empty = 1,
	reader2Inserted = 2,
	reader2Swiped = 3,
	reader2ManuallyEntered = 4,
	reader2Presented = 5,
	reader2Ejected = 6,
	reader2NotRemoved = 7
} EFT_ReaderStatusCodes;

typedef enum EFT_CardProcessingInfos {
	cardProcessNoCard = 0,
	cardProcessReading = 1,
	cardProcessApplicationSelected = 2,
	cardProcessPINEntry = 3,
	cardProcessProcessingPayment = 4
} EFT_CardProcessingInfos;

typedef enum EFT_ActivationStates {
	shiftClosed = 0,
	shiftOpen = 1
} EFT_ActivationStates;

typedef enum EFT_TransactionOptionFlags {
	xactOptionTrack2 = 1,
	xactOptionTrack3 = 2,
	xactOptionEnableTip = 4,
	xactOptionEnablePartialCommit = 8,
	xactOptionEnableDCC = 16,
	xactOptionDevPanKeyenty = 32,
	xactOptionPartialApprovalPossible = 64
} EFT_TransactionOptionFlags;

typedef enum EFT_OperationPhases {
	opphaseIdle = 0,
	opphaseProcessing = 1,
	opphasePrepared = 2,
	opphaseCommitted = 3,
	opphaseRolledBack = 4
} EFT_OperationPhases;

typedef enum EFT_ConnectionStates {
	constDisconnected = 0,
	constLoggedOut = 1,
	constLoggedIn = 2
} EFT_ConnectionStates;

typedef enum EFT_AutoModeFlags {
	amodeNull = 0,
	amodeDefault = 1,
	amodeTestConnection = 2,
	amodeTestCardInIdle = 4,
	amodeTestCardbeforeTrx = 8,
	amodeForceCardbeforeTrx = 16,
	amodeVEZpNoCounterPickup = 32,
	amodeBalanceFromDriver = 64,
	amodeAssumeDevicePresent = 128,
	amodeAutoActivate = 256,
	amodeAutomat = 512,
	amodeAutomatAcceptCardFirst = 1024,
	amodeAutomatReadBrands = 2048,
	amodeAutomatReadBrandsInTrx = 4096,
	amodeAutomatAllowStopOnTrm = 8192,
	amodeAutomatWithContactLess = 16384,
	amodeNoAutoLogin = 32768
} EFT_AutoModeFlags;

typedef enum EFT_IccCommandCodes {
	iccPowerUp = 0,
	iccPowerDown = 1,
	iccReset = 2,
	iccAPDU = 3
} EFT_IccCommandCodes;

typedef enum EFT_CommandCodes {
	ccNoResponse = 0,
	ccOpen = 1,
	ccClose = 2,
	ccTransaction = 3,
	ccCommit = 4,
	ccPartialCommit = 5,
	ccQueryStatus = 6,
	ccBalance = 7,
	ccDeviceControl = 8,
	ccIccControl = 9,
	ccValidation = 10,
	ccDeviceAccess = 11,
	ccPrint = 12,
	ccAbort = 13,
	ccStatus = 14,
	ccDeviceMsg = 15,
	ccApplication = 16,
	ccException = 17,
	ccConnect = 18,
	ccDisconnect = 19,
	ccCommitAmount = 20
} EFT_CommandCodes;

typedef enum EFT_TransactionTypes {
	transtdebit = 0,
	transtdebit_wCB = 1,
	transtcash_advance = 2,
	transtmail_order = 3,
	transtcredit = 4,
	transtreversal = 5,
	transtreservation = 6,
	transtreservation_extend = 7,
	transtreferral = 8,
	transttip = 9,
	transttip_reversal = 10,
	transtreserved = 11,
	transtreserved_referred = 12,
	transtreservation_cancellation = 13,
	transtown_risk = 14,
	transtdown_time = 15,
	transttopup = 16,
	transttopup_reversal = 17,
	transtcoupon = 18,
	transtcoupon_reversal = 19,
	transtcard_activation = 20,
	transtcard_activation_reversal = 21,
	transtcard_balance = 22,
	transtpreauthorization = 23,
	transtdebit_preaut = 24,
	transtload = 25,
	transtcollect = 26,
	transtbuy = 27,
	transtload_reversal = 28,
	transtcollect_reversal = 29,
	transtbuy_reversal = 30
} EFT_TransactionTypes;

typedef enum EFT_dccStatus {
	dccNoDCC = 0,
	dccInitPhase1 = 1,
	dccPhase1ok = 2,
	dccContinueDCC = 3,
	dccContinueLocal = 4,
	dccAuthorisationDCC = 5,
	dccAuthorisationLocal = 6
} EFT_dccStatus;

typedef enum EFT_loyaltyStatus {
	loyNoLoyalty = 0,
	loyInit = 1,
	loyInfo = 2,
	loyContinue = 3,
	loyAuthorisationInfo = 4,
	loyAuthorisationNoinfo = 5
} EFT_loyaltyStatus;

typedef enum EFT_useMode {
	umExclusive = 0,
	umShared = 1,
	umEmergency = -1,
	umNormal = 0
} EFT_useMode;

typedef enum EFT_DeviceMsgCodes {
	dcDisplay = 0,
	dcClearDisplay = 1,
	dcKeyPressed = 2,
	dcPARGetTotalAmount = 30,
	dcPARTransactionRequest = 31,
	dcPARCashTransaction = 32,
	dcPARAbortFlow = 33,
	dcPARGetReceipt = 34,
	dcPARGetReceiptPaid = 35,
	dcPARActorVerification = 36,
	dcPARActorPwdECRVerification = 37,
	dcPARActorPwdEFTVerification = 38
} EFT_DeviceMsgCodes;

typedef enum EFT_PropertyTable {
	ptTRMInfo = 10,
	ptBrandInfo = 11,
	ptep2sbbRPT = 20,
	ptpostPCD = 21,
	ptPayAtTable = 30,
	ptIFSF = 31
} EFT_PropertyTable;

typedef enum EFT_PropertyElement {
	peTRMIErrCode = 0,
	peTRMIDvPPSer = 1,
	peTRMIDvPPProd = 2,
	peTRMIDvRfsVers = 3,
	peTRMIDvMcrSer = 4,
	peTRMIDvMcrProd = 5,
	peTRMIDvMcrSW = 6,
	peTRMIDvMcrRdCyc = 7,
	peTRMIDvPPKeyOKCnt = 8,
	peTRMIDvPPVers = 9,
	peTRMIDvPPSec = 10,
	peTRMIDvMcrProdVer = 11,
	peTRMIDvMcrSec = 12,
	peTRMIDvMcrKrypto = 13,
	peTRMIReaderReadICC = 14,
	peTRMIReaderInsertCards = 15,
	peTRMICtlessSer = 16,
	peTRMICtlessProdDate = 17,
	peTRMICtlessHwVers = 18,
	pePARTerminalID = 0,
	pePARECRId = 1,
	pePARRefNum = 2,
	pePARAmount = 3,
	pePARCurrC = 4,
	pePARCurrE = 5,
	pePARActor = 6,
	pePARActorPwd = 7,
	pePARCPMethod = 8,
	peIFSFText = 0,
	peIFSFResource = 1,
	peIFSFTimeout = 2,
	peIFSFInputCharsMin = 3,
	peIFSFInputCharsMax = 4,
	peIFSFContextId = 5,
	peIFSFLastTry = 6,
	peIFSFSuccessIndicator = 7,
	peIFSFProductCodeScheme = 8,
	peIFSFSalesItemId = 11,
	peIFSFProductCode = 12,
	peIFSFSalesItemAmount = 13,
	peIFSFUnitMeasure = 14,
	peIFSFUnitPrice = 15,
	peIFSFQuantity = 16,
	peIFSFTaxCode = 17,
	peIFSFAdditionalProductCode = 18,
	peIFSFDriverNumber = 21,
	peIFSFMileage = 22,
	peIFSFFleetID = 23,
	peIFSFRestrictionCodes = 24
} EFT_PropertyElement;

typedef enum EFT_PrintOptions {
	poPrintState = 0,
	poPrintFirst = 1,
	poPrintSubsequent = 2,
	poPrintFinal = 3,
	poPrintAbort = 9
} EFT_PrintOptions;

typedef enum EFT_PrinterStates {
	psPrinterReady = 0,
	psPrinterInvalidState = 1,
	psPrinterInvalidChar = 2,
	psPrinterBusy = 4,
	psPrinterOutOfPaper = 10,
	psPrinterTimeoutECR = 21,
	psPrinterMaxSizeExceeded = 22,
	psPrinterNoPrinter = 99
} EFT_PrinterStates;

typedef enum EFT_CardInfoFlags {
	ciHasCardInfo = 1,
	ciHasCardPANData = 2,
	ciChipDataReading = 4,
	ciHasChipPANData = 8,
	ciCardSwiped = 16,
	ciProcessingDisposition = 32
} EFT_CardInfoFlags;


typedef void * EFT_HANDLE;

int EFT_CreateSession(EFT_HANDLE * h);
int EFT_DestroySession(EFT_HANDLE h);
int EFT_ReadProperty(EFT_HANDLE h, int table, int index, char * pValue, unsigned int maxLength);
int EFT_WriteProperty(EFT_HANDLE h, int table, int index, char * pValue);
int EFT_GetApplicationsCount(EFT_HANDLE h, long * pValue);
int EFT_GetApplicationsProperty(EFT_HANDLE h, int index, char * propertyName, char * pValue, unsigned int maxLength);
int EFT_GetDevicesCount(EFT_HANDLE h, long * pValue);
int EFT_GetDevicesProperty(EFT_HANDLE h, int index, char * propertyName, char * pValue, unsigned int maxLength);
int EFT_GetErrorText(EFT_HANDLE h, char * language, long exceptionCode, const char ** pValue);
int EFT_Transaction(EFT_HANDLE h, const char * function, long amount, long options);
int EFT_Commit(EFT_HANDLE h, int outcome);
int EFT_CommitAmount(EFT_HANDLE h, long commitPartialAmount);
int EFT_CommitPartial(EFT_HANDLE h, long commitPartialAmount);
int EFT_Open(EFT_HANDLE h);
int EFT_Close(EFT_HANDLE h);
int EFT_Balance(EFT_HANDLE h);
int EFT_DeviceControl(EFT_HANDLE h, long deviceControlClass, long deviceControlCommand);
int EFT_IccControl(EFT_HANDLE h, long iccCommandCode);
int EFT_DeviceAccess(EFT_HANDLE h, const char * deviceAccessId);
int EFT_QueryStatus(EFT_HANDLE h);
int EFT_Validation(EFT_HANDLE h, const char * function, long amount, long options);
int EFT_PrintOnEFT(EFT_HANDLE h, const char * printText, long printOptions);
int EFT_Complete(EFT_HANDLE h, long timeout);
int EFT_Abort(EFT_HANDLE h);
int EFT_Connect(EFT_HANDLE h);
int EFT_Disconnect(EFT_HANDLE h);
int EFT_GetAsync(EFT_HANDLE h, long * pValue);
int EFT_PutAsync(EFT_HANDLE h, long value);
int EFT_GetTimeout(EFT_HANDLE h, long * pValue);
int EFT_PutTimeout(EFT_HANDLE h, long value);
int EFT_GetStatus(EFT_HANDLE h, long * pValue);
int EFT_PutAutoMode(EFT_HANDLE h, long value);
int EFT_GetCashier(EFT_HANDLE h, long * pValue);
int EFT_PutCashier(EFT_HANDLE h, long value);
int EFT_GetECRId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutECRId(EFT_HANDLE h, const char * value);
int EFT_PutUseMode(EFT_HANDLE h, long value);
int EFT_GetUseModeReply(EFT_HANDLE h, long * pValue);
int EFT_GetECRSequence(EFT_HANDLE h, long * pValue);
int EFT_PutEntryMode(EFT_HANDLE h, const char * value);
int EFT_PutTrack2(EFT_HANDLE h, const char * value);
int EFT_PutTrack3(EFT_HANDLE h, const char * value);
int EFT_GetAmount(EFT_HANDLE h, long * pValue);
int EFT_PutAmount(EFT_HANDLE h, long value);
int EFT_GetAmountOrig(EFT_HANDLE h, long * pValue);
int EFT_PutAmountOrig(EFT_HANDLE h, long value);
int EFT_GetAmountOther(EFT_HANDLE h, long * pValue);
int EFT_PutAmountOther(EFT_HANDLE h, long value);
int EFT_GetFeeAmount(EFT_HANDLE h, long * pValue);
int EFT_GetCurrency(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutCurrency(EFT_HANDLE h, const char * value);
int EFT_PutPrinterWidth(EFT_HANDLE h, long value);
int EFT_GetOperationMode(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutOperationMode(EFT_HANDLE h, const char * value);
int EFT_GetTime(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetAID(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutTrxTimeout(EFT_HANDLE h, long value);
int EFT_PutCardRemoveIndicator(EFT_HANDLE h, long value);
int EFT_PutSuppressReceiptOnTrm(EFT_HANDLE h, long value);
int EFT_PutDisplayText1(EFT_HANDLE h, long value);
int EFT_PutDisplayText2(EFT_HANDLE h, long value);
int EFT_PutCommitRequired(EFT_HANDLE h, long value);
int EFT_GetDccMode(EFT_HANDLE h, long * pValue);
int EFT_PutDccMode(EFT_HANDLE h, long value);
int EFT_GetDccCurrency(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDccAmount(EFT_HANDLE h, long * pValue);
int EFT_GetDccAmountExp(EFT_HANDLE h, long * pValue);
int EFT_GetDccExrate(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDccExrateExp(EFT_HANDLE h, long * pValue);
int EFT_PutDccOriginalDate(EFT_HANDLE h, const char * value);
int EFT_PutTopupIssuerName(EFT_HANDLE h, const char * value);
int EFT_GetTopupRefillCode(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetTopupSerialNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetExceptionMessage(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetExceptionCode(EFT_HANDLE h, long * pValue);
int EFT_GetNativeMessage(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetNativeStatus(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetRefNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutRefNumber(EFT_HANDLE h, const char * value);
int EFT_GetTrxSeqNum(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutTrxSeqNum(EFT_HANDLE h, const char * value);
int EFT_GetTrxRefNum(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutTrxRefNum(EFT_HANDLE h, const char * value);
int EFT_GetAuthCode(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutAuthCode(EFT_HANDLE h, const char * value);
int EFT_GetReceiptText(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetReceiptMerchantText(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetContractNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardExpiration(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetPrintableCardNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetPosEntryMode(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetAuthText(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetBookingPeriod(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetOperationPhase(EFT_HANDLE h, long * pValue);
int EFT_GetApplicationName(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetApplicationLabel(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetApplicationKey(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCustomerLanguage(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardLanguage(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetBrandId(EFT_HANDLE h, long * pValue);
int EFT_GetTipAmount(EFT_HANDLE h, long * pValue);
int EFT_GetEncryptedPan(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetStaticKeyPanIndex(EFT_HANDLE h, long * pValue);
int EFT_GetAcqId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetSubBrand(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCommitTimeout(EFT_HANDLE h, long * pValue);
int EFT_GetReferralPhoneNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetSaldoFlag(EFT_HANDLE h, int * pValue);
int EFT_GetSaldo(EFT_HANDLE h, long * pValue);
int EFT_GetCouponValueUnit(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCouponValue(EFT_HANDLE h, long * pValue);
int EFT_GetCouponType(EFT_HANDLE h, long * pValue);
int EFT_GetCouponPromNumber(EFT_HANDLE h, long * pValue);
int EFT_GetCouponReferenceNumber(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutCouponReferenceNumber(EFT_HANDLE h, const char * value);
int EFT_GetOutcome(EFT_HANDLE h, int * pValue);
int EFT_GetOptions(EFT_HANDLE h, long * pValue);
int EFT_GetFunction(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetLanguage(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutLanguage(EFT_HANDLE h, const char * value);
int EFT_GetId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutId(EFT_HANDLE h, const char * value);
int EFT_GetTerminalId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutTerminalId(EFT_HANDLE h, const char * value);
int EFT_GetMpdServerVersion(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetMpdClientVersion(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetActivationSequence(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutActivationSequence(EFT_HANDLE h, const char * value);
int EFT_GetActivationState(EFT_HANDLE h, long * pValue);
int EFT_GetConnectionState(EFT_HANDLE h, long * pValue);
int EFT_PutEcrManufacturer(EFT_HANDLE h, const char * value);
int EFT_PutEcrName(EFT_HANDLE h, const char * value);
int EFT_PutEcrVersion(EFT_HANDLE h, const char * value);
int EFT_PutEftModuleManufacturer(EFT_HANDLE h, const char * value);
int EFT_PutEftModuleName(EFT_HANDLE h, const char * value);
int EFT_PutEftModuleVersion(EFT_HANDLE h, const char * value);
int EFT_GetDeviceStatusCode(EFT_HANDLE h, long * pValue);
int EFT_GetDeviceEventCode(EFT_HANDLE h, long * pValue);
int EFT_GetReaderStatusCode(EFT_HANDLE h, long * pValue);
int EFT_GetCardProcessingInfo(EFT_HANDLE h, long * pValue);
int EFT_GetDeviceApplicationKey(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDeviceAid(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDeviceId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutDeviceId(EFT_HANDLE h, const char * value);
int EFT_GetDeviceMsgCode(EFT_HANDLE h, long * pValue);
int EFT_GetDeviceMsg(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDeviceControlClass(EFT_HANDLE h, long * pValue);
int EFT_GetDeviceControlCommand(EFT_HANDLE h, long * pValue);
int EFT_GetDeviceControlData(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDeviceControlResult(EFT_HANDLE h, long * pValue);
int EFT_GetBalanceTime(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetReceiptCopyCount(EFT_HANDLE h, long * pValue);
int EFT_GetReceiptMerchantCount(EFT_HANDLE h, long * pValue);
int EFT_GetReceiptSignatureFlag(EFT_HANDLE h, long * pValue);
int EFT_GetReceiptOptions(EFT_HANDLE h, long * pValue);
int EFT_PutReceiptOptions(EFT_HANDLE h, long value);
int EFT_GetReceiptPrintFlag(EFT_HANDLE h, long * pValue);
int EFT_PutReceiptPrintFlag(EFT_HANDLE h, long value);
int EFT_GetCvc(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutCvc(EFT_HANDLE h, const char * value);
int EFT_GetDriverAddress(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutDriverAddress(EFT_HANDLE h, const char * value);
int EFT_PutCommitPartialTimeout(EFT_HANDLE h, long value);
int EFT_PutCommitPartialAmount(EFT_HANDLE h, long value);
int EFT_GetCommitedAmount(EFT_HANDLE h, long * pValue);
int EFT_GetIccCommandCode(EFT_HANDLE h, long * pValue);
int EFT_PutIccCommandCode(EFT_HANDLE h, long value);
int EFT_GetIccDeviceId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutIccDeviceId(EFT_HANDLE h, const char * value);
int EFT_GetIccApduRequest(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutIccApduRequest(EFT_HANDLE h, const char * value);
int EFT_GetIccCardAtr(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetIccApduResponse(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetDeviceAccessId(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutDeviceAccessId(EFT_HANDLE h, const char * value);
int EFT_GetDeviceAccessData(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutDeviceAccessData(EFT_HANDLE h, const char * value);
int EFT_GetDeviceAccessResult(EFT_HANDLE h, long * pValue);
int EFT_GetCompletedCommand(EFT_HANDLE h, long * pValue);
int EFT_GetCompletedDeviceEvent(EFT_HANDLE h, long * pValue);
int EFT_GetCardsRetained(EFT_HANDLE h, long * pValue);
int EFT_PutCardsRetained(EFT_HANDLE h, long value);
int EFT_PutExtraXmlNode(EFT_HANDLE h, const char * value);
int EFT_PutPrintCharSet(EFT_HANDLE h, long value);
int EFT_GetPrinterState(EFT_HANDLE h, long * pValue);
int EFT_PutTrxAddMode(EFT_HANDLE h, long value);
int EFT_GetTrxAddReply(EFT_HANDLE h, long * pValue);
int EFT_GetNbrInstalments(EFT_HANDLE h, long * pValue);
int EFT_PutNbrInstalments(EFT_HANDLE h, long value);
int EFT_GetHasCardInfos(EFT_HANDLE h, long * pValue);
int EFT_GetContextId(EFT_HANDLE h, long * pValue);
int EFT_GetCardTrack2(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardTrack3(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardIcc(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardAppExpDate(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetCardPanHash(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetChipPanHash(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetProcessingTarget(EFT_HANDLE h, long * pValue);
int EFT_GetDccDisclaimerText(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_GetFeeDisclaimerText(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutAccountIndex(EFT_HANDLE h, long value);
int EFT_PutEcrSeqCounter(EFT_HANDLE h, long value);
int EFT_PutProceedNeeded(EFT_HANDLE h, long value);
int EFT_GetLoyaltyMode(EFT_HANDLE h, long * pValue);
int EFT_PutLoyaltyMode(EFT_HANDLE h, long value);
int EFT_GetLoyaltyData(EFT_HANDLE h, char * pValue, unsigned int maxLength);
int EFT_PutLoyaltyInfo(EFT_HANDLE h, const char * value);

#ifdef __cplusplus
}
#endif

#endif
